View Issue Details

IDProjectCategoryView StatusLast Update
13476Bug reports[All Projects] Survey participants (Tokens)public2018-03-21 18:46
ReporterbquillerAssigned Tomarkusfluer 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.3.x 
Target VersionFixed in Version3.5.x 
Summary13476: Unable to send individual remind and invite mails
Description

tokenids parameter in remind and invite urls doesn't work

Steps To Reproduce

Click on the icon-remind or icon-invite in the participants table : all the concerned participants are listed

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.5.1+180312
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Version348
Server OS (if known)Linux
Webserver software & version (if known)Apache 2.4
PHP Version5.5

Activities

bquiller

bquiller

2018-03-14 17:43

reporter   ~47048

Line 2585 replacement of
$aTokenIds = Yii::app()->request->getPost('tokenids', false);
by
$aTokenIds = Yii::app()->request->getQuery('tokenids', false);
solve the problem ...

bquiller

bquiller

2018-03-15 09:12

reporter   ~47062

For checkboxes :
$aTokenIds = Yii::app()->request->getPost('tokenids', false);
if (empty($aTokenIds)) {
$aTokenIds = Yii::app()->request->getQuery('tokenids', false);
}

markusfluer

markusfluer

2018-03-15 13:57

administrator   ~47075

Thank you for your submission.
The solution was very close!

markusfluer

markusfluer

2018-03-15 13:57

administrator   ~47076

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26766

c_schmitz

c_schmitz

2018-03-21 18:46

administrator   ~47159

Version 3.5.4+180320 released

Related Changesets

LimeSurvey: master f16a7d5b

2018-03-15 13:57:01

markusfluer

Details Diff
Fixed iise 13476: Unable to send individual remind and invite mails Affected Issues
13476
mod - application/controllers/admin/tokens.php Diff File

Issue History

Date Modified Username Field Change
2018-03-14 17:14 bquiller New Issue
2018-03-14 17:43 bquiller Note Added: 47048
2018-03-15 09:12 bquiller Note Added: 47062
2018-03-15 13:57 markusfluer Assigned To => markusfluer
2018-03-15 13:57 markusfluer Status new => resolved
2018-03-15 13:57 markusfluer Resolution open => fixed
2018-03-15 13:57 markusfluer Fixed in Version => 3.5.x
2018-03-15 13:57 markusfluer Note Added: 47075
2018-03-15 13:57 markusfluer Changeset attached => LimeSurvey master f16a7d5b
2018-03-15 13:57 markusfluer Note Added: 47076
2018-03-21 18:46 c_schmitz Note Added: 47159
2018-03-21 18:46 c_schmitz Status resolved => closed